Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.emitter
Interface IContentEmitter

    public interface IContentEmitter

used to pass the content object to following process.

Method Summary
`void` | `end(IReportContent report)`
`void` | `endCell(ICellContent cell)`
`void` | `endContainer(IContainerContent container)`
`void` | `endContent(IContent content)`
`void` | `endGroup(IGroupContent group)`
`void` | `endList(IListContent list)`
`void` | `endListBand(IListBandContent listBand)`
`void` | `endListGroup(IListGroupContent group)`
`void` | `endPage(IPageContent page)` page end
`void` | `endRow(IRowContent row)`
`void` | `endTable(ITableContent table)` table end
`void` | `endTableBand(ITableBandContent band)`
`void` | `endTableGroup(ITableGroupContent group)`
`java.lang.String` | `getOutputFormat()`
`void` | `initialize(IEmitterServices service)`
`void` | `start(IReportContent report)`
`void` | `startAutoText(IAutoTextContent autoText)`
`void` | `startCell(ICellContent cell)`
`void` | `startContainer(IContainerContent container)`
`void` | `startContent(IContent content)`
`void` | `startData(IDataContent data)`
`void` | `startForeign(IForeignContent foreign)`
`void` | `startGroup(IGroupContent group)`
`void` | `startImage(IImageContent image)`
`void` | `startLabel(ILabelContent label)`
`void` | `startList(IListContent list)`
`void` | `startListBand(IListBandContent listBand)`
`void` | `startListGroup(IListGroupContent group)`
`void` | `startPage(IPageContent page)` start a page
`void` | `startRow(IRowContent row)`
`void` | `startTable(ITableContent table)` table started
`void` | `startTableBand(ITableBandContent band)`
`void` | `startTableGroup(ITableGroupContent group)`
`void` | `startText(ITextContent text)`

Method Detail

### getOutputFormat

    java.lang.String getOutputFormat()

### initialize

    void initialize(IEmitterServices service)
                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### start

    void start(IReportContent report)
               throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### end

    void end(IReportContent report)
             throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startPage

    void startPage(IPageContent page)
                   throws org.eclipse.birt.core.exception.BirtException

  start a page

  Parameters:
    `page` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endPage

    void endPage(IPageContent page)
                 throws org.eclipse.birt.core.exception.BirtException

  page end

  Parameters:
    `page` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startTable

    void startTable(ITableContent table)
                    throws org.eclipse.birt.core.exception.BirtException

  table started

  Parameters:
    `table` -
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endTable

    void endTable(ITableContent table)
                  throws org.eclipse.birt.core.exception.BirtException

  table end

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startTableBand

    void startTableBand(ITableBandContent band)
                        throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endTableBand

    void endTableBand(ITableBandContent band)
                      throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startRow

    void startRow(IRowContent row)
                  throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endRow

    void endRow(IRowContent row)
                throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startCell

    void startCell(ICellContent cell)
                   throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endCell

    void endCell(ICellContent cell)
                 throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startList

    void startList(IListContent list)
                   throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endList

    void endList(IListContent list)
                 throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startListBand

    void startListBand(IListBandContent listBand)
                       throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endListBand

    void endListBand(IListBandContent listBand)
                     throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startContainer

    void startContainer(IContainerContent container)
                        throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endContainer

    void endContainer(IContainerContent container)
                      throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startText

    void startText(ITextContent text)
                   throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startData

    void startData(IDataContent data)
                   throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startLabel

    void startLabel(ILabelContent label)
                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startAutoText

    void startAutoText(IAutoTextContent autoText)
                       throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startForeign

    void startForeign(IForeignContent foreign)
                      throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startImage

    void startImage(IImageContent image)
                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startContent

    void startContent(IContent content)
                      throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endContent

    void endContent(IContent content)
                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startGroup

    void startGroup(IGroupContent group)
                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endGroup

    void endGroup(IGroupContent group)
                  throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startTableGroup

    void startTableGroup(ITableGroupContent group)
                         throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endTableGroup

    void endTableGroup(ITableGroupContent group)
                       throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### startListGroup

    void startListGroup(IListGroupContent group)
                        throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### endListGroup

    void endListGroup(IListGroupContent group)
                      throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.